import { defineStore } from 'pinia'

// 资产项目信息缓存
export const assetsProjectInfo = defineStore('project', {
    state: () => ({
        // 项目信息
        projectInfo: null,
        // 未完成测算表信息
        calculateProgress: null
    }),
    actions: {
        setProjectInfo(data) {
            this.projectInfo = data
        },
        removeProjectInfo(){
            this.projectInfo = null;
        },
        setCalculateProgress(data) {
            this.calculateProgress = data
        },
        removeCalculateProgress(){
            this.calculateProgress = null;
        }
    },
    persist: {
        enabled: true,   //开启持久化
        key: 'assetsProjectInfo', //设置存储的key,详情见https://prazdevs.github.io/pinia-plugin-persistedstate/zh/guide/config.html配置文档
    },
});
